## ros-humble-ruckig 0.9.2

=== debian/changelog ===
ros-humble-ruckig (0.9.2-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Lars Berscheid <lars.berscheid@ruckig.com>  Tue, 17 Jan 2023 01:04:44 -0000

ros-humble-ruckig (0.8.4-1jammy) jammy; urgency=high

  * robustify step2 vel uddu
  * fix readme tracking example
  * add tracking interface to readme
  * fix brake duration reset
  * fix brake when current acceleration is on limit
  * improve tracking example
  * fix pyproject.toml
  * clean tracking example
  * clean examples
  * add pyproject file
  * add DOFs to traj serialization
  * nlohmann/json based serialization for trajectory
  * point out Eigen 3.4 or later
  * add custom vector types to readme
  * disable vector types example with online client
  * include deque
  * add examples for custom vector types
  * dont support custom data types with online client
  * add tests and fixes for custom vector type
  * use template specalization without using
  * custom vector type as template template parameter
  * clean error_at_max_duration, add StandardVector
  * clean licenses
  * update header dependencies
  * clean comparison benchmarks
  * extend phase synchronization to velocity control
  * move src to src/ruckig
  * clean gitignore
  * remove -Werror
  * Contributors: pantor

 -- Lars Berscheid <lars.berscheid@ruckig.com>  Mon, 12 Sep 2022 15:00:00 -0000

ros-humble-ruckig (0.7.1-1jammy) jammy; urgency=high

  * bump to 0.7.1
  * fix python 3.10 deployment
  * Merge branch 'master' of github.com:pantor/ruckig
  * bump to 0.7.0
  * allow user to force new computation for the same input (#132 <https://github.com/pantor/ruckig/issues/132>)
    * allow user to force computation again
    Otherwise sending the same target with non-zero min_duration
    multiple times in a control loop will not trigger a new trajectory.
    * rename to reset
    Co-authored-by: pantor <mailto:lars.berscheid@online.de>
  * profile precision as constant
  * clean notebooks
  * fix c++11 std::clamp
  * use steady_clock, minor code cleaning of roots.hpp
  * fix numeric for time sync with discrete durations
  * fix independent min duration with brake trajectory
  * clean header includes
  * improve stability of velocity control
  * msvc warnings
  * fix msvc warnings
  * static cast for std::div
  * Merge branch 'master' of github.com:pantor/ruckig
  * fix warnings, limiting_dof to std::optional
  * doc: fixed used-by entry (#131 <https://github.com/pantor/ruckig/issues/131>)
  * move roots into ruckig namespace
  * refactor tests and benchmarks
  * step2 vel catch root at boundary
  * update benchmark plot
  * add algorithm header, use c++ array
  * make delta_time non const
  * add smoothing of non-limiting dofs
  * const degrees_of_freedom
  * print error messages from online api
  * check that current_input is initialized
  * Contributors: Matthias Seehauser, Michael Görner, pantor

 -- Lars Berscheid <lars.berscheid@ruckig.com>  Sat, 09 Jul 2022 15:00:00 -0000

ros-humble-ruckig (0.6.5-1jammy) jammy; urgency=high

  * revert to manylinux2010_x86_64
  * bump to v0.6.5
  * fix pypi build from source
  * remove 9_trajectory.png
  * use .pdf for example trajectories
  * numerical stability in velocity control
  * fix for zero-to-zero traj with velocity control
  * invalidate discrete duration
  * fix numerical instability in acc0
  * update to nlohmann/json v3.10.5
  * bump to 0.6.4
  * clarify Online API in examples and Readme
  * fix example docs
  * fix ci
  * build waypoints example only for online client
  * add joint example for dynamic dofs and waypoints
  * fix capacity / actual waypoints mismatch
  * disable ros cd
  * retry
  * retry
  * retry
  * debug publish ros
  * Contributors: pantor

 -- Lars Berscheid <lars.berscheid@ruckig.com>  Sat, 05 Mar 2022 15:00:00 -0000

ros-humble-ruckig (0.6.3-1jammy) jammy; urgency=high

  * bump to v0.6.3
  * activaten open_pr for bloom release
  * publish ros on release
  * test bloom ci
  * add bloom release
  * several perf optimizations, step2 stability
  * clear up waypoints in readme
  * fix time sync for discrete durations, rename step1
  * Contributors: pantor

 -- Lars Berscheid <lars@ruckig.com>  Thu, 20 Jan 2022 15:00:00 -0000

ros-humble-ruckig (0.6.0-1jammy) jammy; urgency=high

  * fix python upload
  * bump version to 0.6.0
  * filter_intermediate_positions
  * add braces to if function
  * fix error in step 2
  * remove filter positions
  * remote api for intermediate waypoints
  * fix trajectories with zero duration
  * use integrated instead target values after traj
  * use back() instead of explicit number
  * ci build matrix
  * BUILD_ONLINE_CLIENT in python package
  * add brake in online calculator
  * fix ci online-calculator
  * auto ci name
  * add online calculator for intermediate waypoints
  * add httplib and build option
  * create third_party directory
  * update demo notebook
  * update notebook demo
  * add jupyter demo notebook
  * change brief description of calculator
  * expose internal
  * add note to ruckig pro examples
  * clear up section term
  * clean brake class
  * refactor integrate to utils
  * prepare accel phase
  * use dynamic dofs const
  * improve input validation
  * clean up CD
  * Contributors: pantor

 -- Lars Berscheid <lars.berscheid@ruckig.com>  Sun, 05 Dec 2021 15:00:00 -0000

ros-humble-ruckig (0.5.0-1jammy) jammy; urgency=high

  * debug publish
  * publish pypi package on released release
  * bump version
  * add hint for Step 1 None
  * optimize block class
  * improve readme
  * per_section_limits in readme
  * add per_section_limits
  * fix c+11 patch
  * fix per dof synchronization
  * split CMakeLists examples
  * fix per dof synchronization with none
  * separate trajectory and calculator class
  * fix windows  build
  * code cleaning
  * intermediate waypoints readme
  * fix number of waypoints
  * avoid pow completely
  * update maintainer
  * simplify readme

